Přejít na obsah

Recraft V4.1 Text to Image

Integrace

ID modelu recraft/v4.1/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Tento požadavek: 0,035 $ 35 kreditů API · ≈ 3,77 ₽ Spustit na této stránce

Získat API klíč
Recraft Text na obrázek #design#brand-colors#illustration

Obrázkový model zaměřený na design s paletami značky a ovládáním barvy pozadí.

Příklady

Výstup · ~27 s
Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure domi...

PromptFull-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: 'MAKE IT BREAK / MAKE IT WORK' (large serif, slightly distorted, crossing the upper body), 'no perfect version exists' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character.

0,035 $ · 35 kreditů API

Prompt od @recraftai na X

Sestavit požadavek

Ovládací prvky se generují ze schématu modelu. Kód a cena se aktualizují podle provedených změn.

•povinné 700 / 10000
image_size výchozí square_hd
Pokročilé colors · background_color
výchozí []

Pole obsahující preferované barvy.

Preferovaná barva pozadí generovaných obrázků.

POST /run/recraft/v4.1/text-to-image?wait=20 cena → 0,035 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/recraft/v4.1/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Full-body fashion shot with the character framed in a close-up, cropped from mid-thigh or waist up so the figure dominates the composition, neutral pose, muted outfit, solid grey background (flat, no gradient). Minimal scribbles with one large graphic element (e.g. oversized abstract shape or drawn eye) placed behind and partially overlapping the figure. Bold oversized typography integrated tightly around the subject: '\''MAKE IT BREAK / MAKE IT WORK'\'' (large serif, slightly distorted, crossing the upper body), '\''no perfect version exists'\'' (small subtle line). Add stickers: minimal icons, checkmarks, soft scribbles, small tape details. Clean but expressive editorial chaos, focus on the character."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Spustit tento požadavek

Váš klíč zůstává v tomto prohlížeči: odesílá se pouze do Doitong API a uloží se do localStorage jen tehdy, když zaškrtnete možnost Zapamatovat. Získat klíč API

O modelu Recraft V4.1 Text to Image

Recraft V4.1 je určen pro designovou tvorbu: marketingové vizuály, ilustrace a produktové scény s čistou kompozicí. Předejte seznam preferovaných barev RGB pro zachování palety značky nebo nastavte barvu pozadí pro konzistentní sady. Na jeden požadavek vytvoří jeden obrázek v přednastavené nebo vlastní velikosti.

Parametry

NázevTyp VýchozíPovolené Popis
promptpovinné
Typstring
≤ 10 000 znaků
image_sizevolitelné
Typobject
Výchozísquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
colorsvolitelné
Typobject[]
Výchozí[]
Pole obsahující preferované barvy.
colors[].rvolitelné
Typinteger
Výchozí0
0 – 255
Hodnota červené složky.
colors[].gvolitelné
Typinteger
Výchozí0
0 – 255
Hodnota zelené složky.
colors[].bvolitelné
Typinteger
Výchozí0
0 – 255
Hodnota modré složky.
background_colorvolitelné
Typobject
Preferovaná barva pozadí generovaných obrázků.
background_color.rvolitelné
Typinteger
Výchozí0
0 – 255
Hodnota červené složky.
background_color.gvolitelné
Typinteger
Výchozí0
0 – 255
Hodnota zelené složky.
background_color.bvolitelné
Typinteger
Výchozí0
0 – 255
Hodnota modré složky.
povinné

Výstup

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4.1/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "Tilt-shift miniature view of a fishing village harbor at golden hour, colorful boats, toy-like scale",
    "image_size": "landscape_16_9"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše soubory, vaše volbaKaždý outputs[].url je kopie v našem úložišti: uchovávaná navždy (zpoplatněná za GB-měsíc) nebo 7 dne zdarma podle nastavení účtu nebo ?storage=.
Stejná struktura u každého modelutype, url, content_type, width, height a duration pro obrázky, video i zvuk. output je vlastní objekt výsledku modelu.
Pole výstupu
images
array of object {url, content_type, file_name, file_size}

Další modely: Text na obrázek

Pro AI agenty: tato stránka je ve formátu Markdown na adrese https://doitong.com/cs/developers/models/recraft/v4.1/text-to-image.md. Všechny modely a návody: https://doitong.com/developers/llms.txt